Package org.eclipse.m2m.atl.adt.ui.properties

## Class AtlElementProperties

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.properties.AtlElementProperties

All Implemented Interfaces:
  `org.eclipse.ui.views.properties.IPropertySource`

    public class AtlElementProperties
    extends java.lang.Object
    implements org.eclipse.ui.views.properties.IPropertySource

### Constructor Summary

Constructors
`AtlElementProperties​(org.eclipse.emf.ecore.EObject eo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getEditableValue()`
`org.eclipse.ui.views.properties.IPropertyDescriptor[]` `getPropertyDescriptors()`
`java.lang.Object` `getPropertyValue​(java.lang.Object id)`
`boolean` `isPropertySet​(java.lang.Object id)`
`void` `resetPropertyValue​(java.lang.Object id)`
`void` `setPropertyValue​(java.lang.Object id, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlElementProperties

    public AtlElementProperties​(org.eclipse.emf.ecore.EObject eo)

### Method Detail

#### getEditableValue

    public java.lang.Object getEditableValue()

Specified by:
  `getEditableValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  `IPropertySource.getEditableValue()`

#### getPropertyDescriptors

    public org.eclipse.ui.views.properties.IPropertyDescriptor[] getPropertyDescriptors()

Specified by:
  `getPropertyDescriptors` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  `IPropertySource.getPropertyDescriptors()`

#### getPropertyValue

    public java.lang.Object getPropertyValue​(java.lang.Object id)

Specified by:
  `getPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  `IPropertySource.getPropertyValue(java.lang.Object)`

#### isPropertySet

    public boolean isPropertySet​(java.lang.Object id)

Specified by:
  `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  `IPropertySource.isPropertySet(java.lang.Object)`

#### resetPropertyValue

    public void resetPropertyValue​(java.lang.Object id)

Specified by:
  `resetPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  `IPropertySource.resetPropertyValue(java.lang.Object)`

#### setPropertyValue

    public void setPropertyValue​(java.lang.Object id,
                                 java.lang.Object value)

Specified by:
  `setPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  `IPropertySource.setPropertyValue(java.lang.Object, java.lang.Object)`